# ClarityAbiVariable | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- ClarityAbiVariable

## Index

### Properties

- access
- name
- type

## Properties

### access

access: "variable" | "constant"

- Defined in packages/transactions/src/contract-abi.ts:231

### name

name: string

- Defined in packages/transactions/src/contract-abi.ts:230

### type

type: ClarityAbiType

- Defined in packages/transactions/src/contract-abi.ts:232

Generated using TypeDoc